pipeline {
    agent any
 
    stages {
        stage('checkout') {
            steps {
                checkout([$class: 'GitSCM', branches: [[name: '*/master']], extensions: [], userRemoteConfigs: [[url: 'https://gitlab.com/m.someshpatil97/Android_app']]])
            }
        }
        stage('gradle clean'){
            steps {
                sh './gradlew clean'
            }
        }
        stage('build gradlew') {
            steps {
                sh './gradlew assembleRelease'
            }
        }
         stage('apk file') {
            steps {
                archiveArtifacts artifacts: '**/*.apk', fingerprint: true, onlyIfSuccessful: true
            } 

        } 

         stage('Artifacte upload') { 

           steps { 

             echo 'Hello' 

             appCenter apiToken: 'dcc7cfc18de1ea38df47ba21f8ceeb2a109e9ae7',  

             appName: 'Android_app',  

             distributionGroups: 'android_apk_1',  

             mandatoryUpdate: false,  

             notifyTesters: true,  

             ownerName: 'm.someshpatil97-gmail.com',  

             pathToApp: '**/*.apk'     
            }
        }
    }
}
